<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>goocanvasmm: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">goocanvasmm
   &#160;<span id="projectnumber">1.90.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGoocanvas.html">Goocanvas</a></li><li class="navelem"><a class="el" href="classGoocanvas_1_1Item.html">Item</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Goocanvas::Item Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a8f1cc230977e365ac99e780b7564581b">add_child</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, int pos)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0920082408c185479f3bd06465316fb9">add_child</a>(const Glib::RefPtr&lt; Item &gt;&amp; child)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4a3a6bf0752c7758708dd264a51ce3d6">add_child_vfunc</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, int position)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#ab14931670837728e49bb5ca88fb16db5">add_destroy_notify_callback</a>(void *data, func_destroy_notify func) const </td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a7f51ccfcf433278cf5f917a109d11989">add_interface</a>(GType gtype_implementer)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ac1794881a26a385452b2885607a158c3">allocate_area</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, const Bounds&amp; requested_area, const Bounds&amp; allocated_area, double x_offset, double y_offset)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a91ea6ed1faff2afbb089e96ca5fc9c14">allocate_area_vfunc</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; cr, const Bounds&amp; requested_area, const Bounds&amp; allocated_area, double x_offset, double y_offset)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a7b1bbc8c835b0675f67482629244e32f">animate</a>(double x, double y, double scale, double degrees, bool absolute, int duration, int step_time, GooCanvasAnimateType type)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#adc6c1e8f094275114d6e2c3ef3a33f98">connect_property_changed</a>(const Glib::ustring &amp;property_name, const sigc::slot&lt; void &gt; &amp;slot)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896d7773c00bd2dcd310c861282ee8d1">connect_property_changed_with_return</a>(const Glib::ustring &amp;property_name, const sigc::slot&lt; void &gt; &amp;slot)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0e5b293fd9bcd8381d010bc39e9ea0ab">ensure_updated</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a49a52d0c14c95c33361a401f423c7678">find_child</a>(const Glib::RefPtr&lt; Item &gt;&amp; child)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a6e9e13b75f116c20212d318204ce8ea3">freeze_notify</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a3338954d7565534bd945290b798e13ed">func_destroy_notify</a> typedef</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a04ae90b0d58c40eb2956260b7e364ea8">get_bounds</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a051520366bbe2e2cfa109323820a2d74">get_bounds_vfunc</a>(Bounds&amp; bounds) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a2192af96a330038c12543c54cd6721a7">get_canvas</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a13184dba645178be4a0d67a4ad8675fa">get_canvas</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a99678019b38c9831aa6ddd7131091cc7">get_canvas_vfunc</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a56f1f87e2b582a258504ece89a1831ad">get_child</a>(int child_num)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ad5dc31a8e4c49fa8485848b6d89c3335">get_child</a>(int child_num) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a6b4c766cc3162ead4347710bfb7594bc">get_child_property</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, const Glib::ustring&amp; the_property_name, PropertyType&amp; value) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0efefb9b1202cb76a412fd8301e1a9db">get_child_property_value</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, const Glib::ustring&amp; property_name, Glib::ValueBase&amp; value) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a90873834eb512aa127912d6660acc935">get_child_property_vfunc</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, guint property_id, Glib::ValueBase&amp; value, GParamSpec* pspec) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#abad816b73b0daa9f42e231a7da2b07e4">get_child_vfunc</a>(int child_num) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a11ce7bff162dd70c5f6019cd4a92fa40">get_is_static</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4cf67942c5fa84e813fb0e7fc6943558">get_is_static_vfunc</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a41919fa42e001014caeacf026ee59935">get_items_at</a>(double x, double y, const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, bool is_pointer_event, bool parent_is_visible, const std::vector&lt; Glib::RefPtr&lt; Item &gt; &gt;&amp; found_items)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#afad72733ed281162091b746b3a682e3f">get_items_at</a>(double x, double y, const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, bool is_pointer_event, bool parent_is_visible, const std::vector&lt; Glib::RefPtr&lt; const Item &gt; &gt;&amp; found_items) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#accedfa5459cf385d7529a6e4306b922c">get_items_at</a>(double x, double y, const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, bool is_pointer_event, bool parent_is_visible)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a8a678bdfae0503e526ea3152b329061e">get_items_at</a>(double x, double y, const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, bool is_pointer_event, bool parent_is_visible) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a369c443b5413c467d764be2e10131279">get_items_at_vfunc</a>(double x, double y, const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, bool is_pointer_event, bool is_parent_visible, const std::vector&lt; Glib::RefPtr&lt; Item &gt; &gt;&amp; found_items)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a1ccb574ad4e9422c0740532eed85c2ec">get_model</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4ca31113f6285be13efd5861a1fba5e5">get_model</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4c35f3e21d9496e2baa240a88d08ee79">get_model_vfunc</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a5a6d2df004704d7e26276ef7355079d7">get_n_children</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a51ac5705bd2cbf003bde1298d48317a2">get_n_children_vfunc</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4b7c3deacff84cb90d7ced7f8256fec2">get_parent</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a82160b320aeb566153e3efdbfdf72294">get_parent</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae72f102d0962d502151bda7440a427a9">get_parent_vfunc</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5f894c9c36ad391fdc85552af67a8530">get_property</a>(const Glib::ustring &amp;property_name, PropertyType &amp;value) const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5e30750441b92f0246c9d4ece95fc8a0">get_property_value</a>(const Glib::ustring &amp;property_name, Glib::ValueBase &amp;value) const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a76fdacbc0edfa972b2047d4306eb60b2">get_requested_area</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, Bounds&amp; bounds) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#add94733d0dc084827c6d4424a7944348">get_requested_area_vfunc</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; cr, GooCanvasBounds* requested_area) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a14001eb4995602550de7e321b0ab1238">get_requested_height</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, double width) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a904f53796376f32e19de75813bd30f25">get_requested_height_vfunc</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; cr, double width)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#adff6d027e88ea6ff05a9207ca9341c4e">get_simple_transform</a>(double&amp; x, double&amp; y, double&amp; scale, double&amp; rotation) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a51fea41606a97c2c16d6e9d3381df783">get_style</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a472ac209540942d24e7bb5bdde831143">get_style</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a244c4341c3115289443db8642c8be3fe">get_style_vfunc</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ac97217a8683a06ced1c04435735fba2d">get_transform</a>(Cairo::Matrix* matrix)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aca4c0d0bef2ff16c270945a86ff207df">get_transform_for_child</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, Cairo::Matrix* transform)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a280e67e028ecf32f7836e21b121a7670">get_transform_for_child_vfunc</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, Cairo::Matrix* transform) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a2f0f115945ec90a18363dba69f8b5352">get_transform_vfunc</a>(Cairo::Matrix* transform) const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#af60b7ede04ae66270cfb93fc0a440e24">get_type</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ac1779f000d57274608de71b2873ee9f0">gobj</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a738f5ccdcc0011e00c408f93b8104473">gobj</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a9b2a5eb93102f1849e5419016e22a15f">gobj_copy</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3faafb14c4f0ca60fbf0f5f5c4d549d0">initialize</a>(GObject *castitem)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a44ddc123cd98ed0083aa06364365c8d3">initialize_move</a>(GObject *castitem, Glib::ObjectBase *previous_wrapper)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a3ab20f29c40967352d1bf2d88bfe11e5">Interface</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a83337dc270f966539b9f46804460ab75">Interface</a>(Interface &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#ae05bf6a4ce0f0992c2ad01429d13f9f7">Interface</a>(const Glib::Interface_Class &amp;interface_class)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a00253b22a76f751f1627865451cbc404">Interface</a>(GObject *castitem)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a4bb27d294728f34452be66b4ec4cd757">Interface</a>(const Interface &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae00042888a004adbefe4be3469a90f24">is_container</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4663d8a67679de50ea81fca20ea1a3e2">is_visible</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a20051ef2bc6c9c031ea4980b9b091472">is_visible_vfunc</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a13e76bf86743d8cab0f530919ca1c6d2">Item</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ab93f20263f3aa134569eba2f11c0705e">Item</a>(Item&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a9126e96ea58f51c0b6295a8b2a4bb8c7">lower</a>(const Glib::RefPtr&lt; Item &gt;&amp; below)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#afed78b386ac1774ae6bf65e157b5f6e9">lower</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae5ae0d5e4a8c0e71d6419a68716a5e53">move_child</a>(int old_position, int new_position)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a48b30541be3c880daa30b5f77f6a6205">move_child_vfunc</a>(int old_position, int new_position)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#af2e23cfe7adc1ca844a3350bbac557cb">notify_callbacks</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aaf0e140e7192dcecddd9f57c46825434">ObjectBase</a>(const ObjectBase &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a27d3451d9ca28d6a2f00838d7c56d545">ObjectBase</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad4ef18214894c6874579313ab21d1018">ObjectBase</a>(const char *custom_type_name)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3d59b4d85b0ee72a727e6b2e1b31a2ff">ObjectBase</a>(const std::type_info &amp;custom_type_info)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a7e2e177061f6a6e09c4cf3da49c6dfd3">ObjectBase</a>(ObjectBase &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4bcd068c3b3fe9fb55028668659c77f3">on_animation_finished</a>(bool stopped)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a1a1299c98312bba75cfdd27b09b97fbf">on_button_press_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventButton* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a10fffcf576e3b6fff7f36fed018be68c">on_button_release_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventButton* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a3d23fb02ea4f627160bf706833ac0698">on_child_notify</a>(GParamSpec* pspec)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ab8172202eae744938d424b05b85d07d1">on_enter_notify_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventCrossing* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a387b54083ff940a347c81f29dac7b32c">on_focus_in_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventFocus* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae97dd76731625c33fe9a2c699d0b9339">on_focus_out_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventFocus* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ab8f5930870032ba9e39cca2539ef3177">on_grab_broken_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventGrabBroken* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a866c04c16f5ee8de5741a0f00e596503">on_key_press_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventKey* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a37f6b26872229fa7e72f5c7a6a44e71e">on_key_release_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventKey* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a5155bfde9755eabff94cc2b9a64d1cdd">on_leave_notify_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventCrossing* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a09a67013e447c5ccb709558d1d6b0ce2">on_motion_notify_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventMotion* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a3a4e4c700249c30cb76636db277ec6c8">on_scroll_event</a>(const Glib::RefPtr&lt; Item &gt;&amp; target, GdkEventScroll* event)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a804bfd4fa3c66a8063fc46acde722ad6">operator=</a>(Item&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a411d66c7467e749dbb2c4b31c4d518b5">Glib::Interface::operator=</a>(Interface &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#acf322f95cef17aa4cc232d8ef25f2b42">Glib::Interface::operator=</a>(const Interface &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a15f8834a320eac98dc1c1b8a9a2fd4c1">Glib::ObjectBase::operator=</a>(const ObjectBase &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a2e968f118314ba4d5debfd2850d18003">Glib::ObjectBase::operator=</a>(ObjectBase &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7494fbad23a65932ff1457d00d4edaf5">sigc::trackable::operator=</a>(const trackable &amp;src)</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a400b5799372238211a4437844d923a4e">sigc::trackable::operator=</a>(trackable &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ac38ec78d72254ce6446f9bca057b2480">paint</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, const Bounds&amp; bounds, double scale)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a179789bd2831f5a73a71f726317eda9c">paint_vfunc</a>(const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; cr, const Bounds&amp; bounds, double scale)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a6f650dae4570772ee15386b875bd4ec8">property_can_focus</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a2f7fc226abab25f4e4602d44c7d15a8c">property_can_focus</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a27b9381e3afe9e316bf8198e6eef0ce9">property_description</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a23a83ed037c58d879e49d6cd16bc417e">property_description</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#abf5fd3b5b53ad6498f3255fadb2263b9">property_height</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a30d309a10de743ddc8e7e54a90a673c3">property_height</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#adc1a788ece6493bb90a8469b15b882cc">property_parent</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae2c30094c18a543a99d986cde4b441c9">property_parent</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a62f2cea56b1f4824c7454c1e3763c219">property_pointer_events</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ac2a824af6d1484380d4c0b562a7b31f1">property_pointer_events</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#af3b070e025a579210862e734e89fdeb1">property_title</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a27073fcbe7cef4757794a2973a8d0305">property_title</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aa6a5afa96c7ddbff0d1264e56f7ed408">property_transform</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ab33cd6fc10a72c252811e1e51f749641">property_transform</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a31aa61e9906ad64f92a38335e87a841a">property_visibility</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a5f969c500d03cf860eb8d106ab9b3c3d">property_visibility</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a9e627d0cff59d23ff74fad8b3212334d">property_visibility_threshold</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ad409a8d00fd9a1bb751bc9ed8c7953ed">property_visibility_threshold</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#acff7d7c7ae3f4fd9bf029de297a08f5e">property_width</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a7e4f7c358b6f0699664ef7f10d8db866">property_width</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a713ec1b3455865ea126a104af668f1e5">property_x</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ad2fa78ea8533debb60afc0f00bdf80d5">property_x</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae6f58ecef0770189b6705ceae54df924">property_y</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a00ab3cb1a3d4ad831cc18f332a9fcd1b">property_y</a>() const </td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a624f67d2daa22bedaff5034682913710">raise</a>(const Glib::RefPtr&lt; Item &gt;&amp; above)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a5f0ef300b0891aebc35fe2d5168ba769">raise</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896a8a5db20043ea82956e3ef4b9c4ae">reference</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a7130980c93f41f2153010c65a06124ae">remove</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aff197daacfeb565be37498e038f41724">remove_child</a>(int child_num)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aff00fdb0885e3cbb896fc2b2a0403502">remove_child_vfunc</a>(int child_num)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a8b9dffa8a50ff13ba33e6c7f10468e2b">remove_destroy_notify_callback</a>(void *data) const </td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a7735ce552d9f8038ed1d601928c0d13c">request_update</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aab58967ae244e2e8c80ec80caaf23286">request_update_vfunc</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a1a5a2113b13f3fb313738bea6a0e28bd">rotate</a>(double degrees, double cx, double cy)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a9fd902700df497329396c6ea1c049bec">scale</a>(double sx, double sy)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aec50994b24e2b011c459d3c0e5495d20">set_canvas</a>(Canvas* canvas)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a6b97bbff2aa46625207698b529160119">set_canvas_vfunc</a>(Canvas* canvas)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#addf4d3bbf309c443f0c2918fd16ed894">set_child_property</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, const Glib::ustring&amp; the_property_name, const PropertyType&amp; value)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a17be5182713af95adcaa91937f89f7eb">set_child_property_value</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, const Glib::ustring&amp; property_name, const Glib::ValueBase&amp; value)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aa8d91d0f31ceedc555c9c7a7fd0e6c7a">set_child_property_vfunc</a>(const Glib::RefPtr&lt; Item &gt;&amp; child, guint property_id, const Glib::ValueBase&amp; value, GParamSpec* pspec)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0be64765a3bda3d3a746a63e010ec36f">set_is_static</a>(bool is_static=true)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae2f676b3bfc642a17d77a9634b3d0c7c">set_is_static_vfunc</a>(bool is_static)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#adc2bd4364797a14048c8232b409af20f">set_model</a>(const Glib::RefPtr&lt; ItemModel &gt;&amp; model)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a392c5a4b68f6666f7ad7e03a3a4ac5f6">set_model_vfunc</a>(const Glib::RefPtr&lt; ItemModel &gt;&amp; model)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ae8d8589687d208ffa72a2e1c2de923a0">set_parent</a>(const Glib::RefPtr&lt; Item &gt;&amp; parent)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a76de7d808d553f9e6af2d6500f89907e">set_parent_vfunc</a>(const Glib::RefPtr&lt; Item &gt;&amp; parent)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad37844f7ea2c0091a22d011e04c48820">set_property</a>(const Glib::ustring &amp;property_name, const PropertyType &amp;value)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aab599d3eec4b4a9ddc95ccdc6100053d">set_property_value</a>(const Glib::ustring &amp;property_name, const Glib::ValueBase &amp;value)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ad7ad127368aad8d8d89d41bec928ae10">set_simple_transform</a>(double x, double y, double scale, double rotation)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a2ddce5ea36d478fad34bbe3012c9298c">set_style</a>(const Glib::RefPtr&lt; Style &gt;&amp; style)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a473f2fbffe429036821f46b511acd079">set_style_vfunc</a>(const Glib::RefPtr&lt; Style &gt;&amp; style)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#afb92d19307b3c01de7f1191d8e623da9">set_transform</a>(const Cairo::Matrix* matrix)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a66f0c299ff8e350bec15ff033df21f62">set_transform_vfunc</a>(const Cairo::Matrix* transform)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a860bf42dc2d970fa3f3b233b2eac628d">signal_animation_finished</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aaf75b311771afbc53f76020169ba2fcf">signal_button_press_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ac0cddb0292ebffe8e70b3b1afc7c26eb">signal_button_release_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0d6fe2b29fbedf3d1297bd2f668a3740">signal_child_notify</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a709f1c2fbbcbabaf0225506f6b8a3667">signal_enter_notify_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#ad6c22b55437b9a39e930e7eaf51483a5">signal_focus_in_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#aab0f07f0c744ca7433dfc9f20e1f413f">signal_focus_out_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a96377a99f548b579b91e72d768aac518">signal_grab_broken_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a55f57ff8e9ee1433f5bb1c0bb737d022">signal_key_press_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a4426492630438491829f8fdf294518db">signal_key_release_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a549ff006f35f9713e958658acf1fc3dc">signal_leave_notify_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a5aeb749a907d3ee9e3970d5e971e4f53">signal_motion_notify_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a8be1cc2ae0476805ea7db4acc1d56da6">signal_scroll_event</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a26ed05facbaf5c63ffa7bc42b4b3092b">skew_x</a>(double degrees, double cx, double cy)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0888b193bf7f7857fc500f3eeb09ce73">skew_y</a>(double degrees, double cx, double cy)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0d4ded968b2fbae6e53b48b8b49aa9f9">stop_animation</a>()</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a1bd8ea7bd8c4084ade6b3c27dddf06a4">thaw_notify</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a09f5b2fe24c2ac1da8322ed0ea1553ea">trackable</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7efefbcab4645648a366da3439242198">trackable</a>(const trackable &amp;src)</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a9a6ff5a4d7c51cede2117525f470f96a">trackable</a>(trackable &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a7f80b706233427ddd4a33f98bc40d275">translate</a>(double tx, double ty)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3234b8ffb2a35b927e2978c8f3bfbfe3">unreference</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a504713da7ce731bae9939116d822ee9a">update</a>(bool entire_tree, const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; context, Bounds&amp; bounds)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a0966a54ea0b7584084eee0ec013d9596">update_vfunc</a>(bool entire_tree, const Cairo::RefPtr&lt; Cairo::Context &gt;&amp; cr, Bounds&amp; bounds)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#a3169d2f237e51947a0672e9bac3ea1f5">wrap</a>(GooCanvasItem* object, bool take_copy=false)</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a65381d7993021746f023477ca8e76f34">~Interface</a>() noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html#adc81d602a2bf8d7d3e77498a52f9f701">~Item</a>() noexcept</td><td class="entry"><a class="el" href="classGoocanvas_1_1Item.html">Goocanvas::Item</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ae56ec45e9ebeaacf24be4fb54ed2eea3">~ObjectBase</a>() noexcept=0</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a75587da09e30031db7a2519843f1f4fb">~trackable</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Sep 22 2015 13:03:59 for goocanvasmm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
